Arch Wall/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 45: Line 45:
* Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions
* Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions
* Multi-layer walls can be easily created by building several walls from the same baseline. By setting their Align property to either left or right, and specifying an Offset value, you can effectively construct several wall layers. Placing a window in such a wall layer will propagate the opening to the other wall layers based on the same baseline.
* Multi-layer walls can be easily created by building several walls from the same baseline. By setting their Align property to either left or right, and specifying an Offset value, you can effectively construct several wall layers. Placing a window in such a wall layer will propagate the opening to the other wall layers based on the same baseline.
* Walls can also make use of [[Arch MultiMaterial|Multi-Materials]]. When using a multi-material, the wall will become multi-layer, using the thicknesses specified by the multi-material. Any layer with a thickness of zero will have its thickness defined automatically by the remaining space defined by the Wall's Width value, after subtracting the other layers.


==Snapping==
==Snapping==

Revision as of 16:23, 3 May 2017

Arch Wall

Ubicación en el Menú
Arquitectura → Muro
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
W A
Introducido en versión
-
Ver también
Arch Estructura

Description

Esta herramienta construye desde cero un objeto Muro encima de cualquier objeto basado en formas. Cuando se construye sobre una forma existente, un muro se puede basar en:

  • A linear 2D object, such as lines, wires, arcs or sketches, in which case you can change thickness, alignment(right, left or centered) and height. The length property has no effect.
  • A flat face, in which case you can only change the height. Length and width properties have no effect. If the base face is vertical, however, the wall will use the width property instead of height, allowing you to build walls from space-like objects or mass studies.
  • A solid, in which case length, width and height properties have no effect. The wall simply uses the underlying solid as its shape.
  • A mesh, in which case the underlying mesh must be a closed, manifold solid.

Example of walls built from a line, a wire, a face, a solid and a sketch

Los muros también pueden tener adicciones y sustracciones. Las adicciones son otros objetos cuyas formas se unen en esta forma de los muros, mientras que las sustracciones son eliminadas. Las adicciones y sustracciones se pueden crear con las herramientas Adicción y Sustracción. Las adicciones y sustracciones no tienen influencia sobre los parámetros del muro como el alto o ancho, que aún pueden ser modificados.

Los muros pueden tener su altura automáticamente, si están incluidos en objetos de nivel superior como Pisos. La altura debe mantenerse a cero, así el muro adoptará la altura especificada en el objeto padre.

Cuando varios muros deberían intersecar, tienes que ubicarlos en un piso para tener su geometría intersecada.

How to use

Drawing a wall from scratch

  1. Press the Arch Wall button, or press W then A keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Drawing a wall on top of a selected object

  1. Select one or more base geometry objects (Draft object, sketch, etc)
  2. Press the Arch Wall button, or press the W then A keys
  3. Adjust needed properties such as height or width.

Options

  • Walls share the common properties and behaviours of all Arch Components
  • The height, width and alignment of a wall can be set during drawing, via the task panel
  • When snapping a wall to an existing wall, both walls will be joined into one. The way the two walls are joined depends on their properties: If they have the same width, height and alignment, and if the option "join base sketches" is enabled in the Arch preferences, the resulting wall will be one object based on a sketch made of several segments. Otherwise, the latter wall will be added to the first one as addition.
  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press ESC or the Cancel button to abort the current command.
  • Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions
  • Multi-layer walls can be easily created by building several walls from the same baseline. By setting their Align property to either left or right, and specifying an Offset value, you can effectively construct several wall layers. Placing a window in such a wall layer will propagate the opening to the other wall layers based on the same baseline.
  • Walls can also make use of Multi-Materials. When using a multi-material, the wall will become multi-layer, using the thicknesses specified by the multi-material. Any layer with a thickness of zero will have its thickness defined automatically by the remaining space defined by the Wall's Width value, after subtracting the other layers.

Snapping

Snapping works a bit differently with Arch walls than other Arch and Draft objects. If a wall has a baseline object, snapping will anchor to the base object, instead of the wall geometry, allowing to easily align walls by their baseline. If, however, you specifically want to snap to the wall geometry, pressing CTRL will switch snapping to the wall object.

Properties

Wall objects inherit the properties of Part objects, and also have the following extra properties:

  • DatosAlign: The alignment of the wall on its baseline: Left, right or center
  • DatosBase: The base object this wall is built on
  • DatosFace: The index of the face from the base object to use. If the vaue is not set or 0, the whole object is used
  • DatosForce Wire: If True, and the wall is based on a face, only the border wire of the face is used, resulting in a wall bordering the face
  • DatosLength: The length of the wall (not used when the wall is based on an object)
  • DatosWidth: The width of the wall (not used when the wall is based on a face)
  • DatosHeight: The height of the wall (not used when the wall is based on a solid). If no height is given, and the wall is inside a floor object with its height defined, the wall will automatically take the value of the floor height.
  • DatosNormal: An extrusion direction for the wall. If set to (0,0,0), the extrusion direction is automatic.
  • DatosOffset: This specifies the distance between the wall and its baseline. Works only if the Align property is set to Right or Left.

Scripting

La herramienta Muro se puede utilizar en macros y desde la consola de Python utilizando las siguientes funciones:

makeWall ( [obj],[length],[width],[height],[align],[face],[name] )
  • crea un muro basado en un objeto dado, el cual puede ser un croquis, un objeto de boceto, una cara o un sólido. align puede ser "Center","Left" o "Right". If you provide no base object, then you can use numeric values for length, width and height. Face can be used to give the index of a face from the underlying object, to build this wall on, instead of using the whole object.
  • Returns the created wall, or None if the operation failed.

Ejemplo:

import FreeCAD, Draft, Arch
baseline = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Arch.makeWall(baseline,None,0.1,2)